% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/opal.admin.r
\name{oadmin.perm_add}
\alias{oadmin.perm_add}
\title{Add or update a R permission}
\usage{
oadmin.perm_add(opal, subject, type = "user", permission)
}
\arguments{
\item{opal}{Opal connection object.}

\item{subject}{A vector of subject identifiers: user names or group names (depending on the type).}

\item{type}{The type of subject: user (default) or group.}

\item{permission}{The permission to apply: use.}
}
\description{
Add or update a permission on the R service.
}
\examples{
\dontrun{
o <- opal.login('administrator','password', url='https://opal-demo.obiba.org')
oadmin.perm_add(o, c('andrei', 'valentina'), 'user', 'use')
oadmin.perm(o)
oadmin.perm_delete(o, c('andrei', 'valentina'), 'user')
opal.logout(o)
}
}
